summaryrefslogtreecommitdiff
path: root/scripts/prep-librewolf-dpkg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/prep-librewolf-dpkg.sh')
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index 5d0c411..81a5247 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -82,9 +82,9 @@ test -z "${SKIP_EXTRACT}" && {
# test -z "${SKIP_GIT}" && (
# yes, use a sub-shell because of this cd. pushd is a bash builtin, but we are using sh and not bash.
# cd "${git_source_dir}"
- git clone "${librewolf_common_url}" ${git_source_dir}/common || ( cd "${git_source_dir}/common" ; git checkout master ; git pull ; git checkout "v${distro_firefox_version}" ; )
+ git clone "${librewolf_common_url}" ${git_source_dir}/common || ( cd "${git_source_dir}/common" ; git checkout master ; git pull ; git checkout "v${librewolf_version}" ; )
git clone "${librewolf_settings_url}" ${git_source_dir}/settings || ( cd "${git_source_dir}/settings" ; git checkout master ; git pull ; )
- git clone "${librewolf_linux_url}" ${git_source_dir}/linux || ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; git checkout "v${distro_firefox_version}" ; )
+ git clone "${librewolf_linux_url}" ${git_source_dir}/linux || ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; git checkout "v${librewolf_version}" ; )
# )
@@ -231,8 +231,8 @@ librewolf/stop-undesired-requests.patch -p1
librewolf/allow_dark_preference_with_rfp.patch -p1
librewolf/about-dialog.patch -p1
EOF
- # just for version 93.0 until https://gitlab.com/librewolf-community/browser/common/-/merge_requests/7
- sed -i -r -e '/-image-/s/small/large/g;' "${debian_dir}/patches/librewolf/mozilla-vpn-ad.patch"
+ # only for v94.0 until https://gitlab.com/librewolf-community/browser/common/-/merge_requests/10
+ sed -i -r -e '/pictureinpicture/a\ "proxy-failover",' -e '16d' "${debian_dir}/patches/librewolf/remove_addons.patch"
fi
# observe that build-with-libstdc++-7 is disabled for this dpkg. Debian builds Firefox with gcc, not clang.
bgstack15